### Method

# Clutter Actor add_constraint

#### Declaration [src]

    void
    clutter_actor_add_constraint (
      ClutterActor* self,
      ClutterConstraint* constraint
    )

#### Description [src]

Adds `constraint` to the list`of`ClutterConstraint`s applied to`self`

The `ClutterActor` will hold a reference on the `constraint` until either `clutter_actor_remove_constraint()` or `clutter_actor_clear_constraints()` is called.

#### Parameters

`constraint`

  Type: `ClutterConstraint`

  A `ClutterConstraint`.

  The data is owned by the caller of the method.